Subject: Re: [PATCH v2 0/3] PCI/MSI: Remove arch_msi_check_device()

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 23 Sep 2014 15:01:54 -0600

On Sun, Sep 07, 2014 at 08:57:52PM +0200, Alexander Gordeev wrote:
> Hello,
> 
> This is a cleanup effort to get rid of arch_msi_check_device() function.
> 
> I am sending v2 series, since kbuild for v1 reports compile errors on
> ppc4xx and Armada 370. Still, I have not checked the fixes on these
> platforms.
> 
> Changes since v1:
>   - patch 1: 'pdev' undeclared compile error fixed on ppc4xx. I updated
>              changelog and removed ACK from this patch in case there are
>              any objections;
> 
>   - patch 2: 'struct msi_chip' has no 'check_device' error fixed on
>              Armada 370 - armada_370_xp_check_msi_device() hook removed;
> 
>   - patch 3: msi_check_device() renamed to pci_msi_supported(). This is
>              the very same patch I sent earlier;
> 
> Thanks!
> 
> Cc: Thomas Gleixner <[email-masked]>
> Cc: Jason Cooper <[email-masked]>
> Cc: Michael Ellerman <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> 
> Alexander Gordeev (3):
>   patch 1 - PCI/MSI/PPC: Remove arch_msi_check_device()
>   patch 2 - PCI/MSI/Armada-370-xp: Remove arch_msi_check_device()
>   patch 3 - PCI/MSI: Remove arch_msi_check_device()

Applied (with some changes to 3/3) to pci/msi for v3.18, thanks!  Let me
know if you see any issues.

Bjorn